All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.models.remotefileselector2.informationservices
Class InformationServicesFileMetadata

    com.sas.swing.models.remotefileselector2.informationservices.InformationServicesFileMetadata

All Implemented Interfaces:
  com.sas.swing.models.remotefileselector2.informationservices.InformationServicesFileMetadataInterface, com.sas.swing.models.remotefileselector2.RemoteFileMetadata2Interface, RemoteFileMetadataInterface, java.io.Serializable

    public class InformationServicesFileMetadata

implements com.sas.swing.models.remotefileselector2.informationservices.InformationServicesFileMetadataInterface, java.io.Serializable

InformationServicesFileMetadata defines a class that contains the file metadata returned through calls to the Information Service.

Since:
  9.1.4
See Also:
  Serialized Form

Constructor Summary
`InformationServicesFileMetadata(com.sas.services.information.browse.BrowseMetadataInterface item)` Constructs an InformationServicesFileMetadata object that holds the information of the BrowseMetadataInterface item.
`InformationServicesFileMetadata(com.sas.services.publish.EntryInterface item)` Constructs an InformationServicesfileMetadata object that holds the information for an EntryInterface item.
`InformationServicesFileMetadata(com.sas.services.information.RepositoryInterface reposItem)` Constructs an InformationServicesFileMetadata object that holds the information of the RepositoryInterface item

Method Summary
`java.util.Date` | `getCreatedDate()` Returns the datetime the file was last modified.
`java.lang.String` | `getDescription()` Returns the description of the the information service file or folder.
`java.lang.String` | `getISEntityKey()` Returns the InformationService entity key associated with the item.
`java.util.List` | `getKeywords()` Returns a List of strings showing the information service file keywords.
`java.lang.String` | `getLocation()` The path associated with the item.
`java.util.Date` | `getModifiedDate()` Returns the datetime the file was last modified.
`java.lang.String` | `getName()` Returns the name of the item.
`java.lang.String` | `getOwner()` Returns the author of the information service file.
`java.lang.String` | `getSmartType()` Returns the InformationService entity key associated with the item.
`boolean` | `isFolder()` Returns whether the item is a folder.
`protected void` | `setLocation(java.lang.String path)` Allows setting of the path information for the item.

Methods inherited from interface com.sas.swing.models.remotefileselector2.RemoteFileMetadataInterface
`toString`

Constructor Detail

### InformationServicesFileMetadata

    public InformationServicesFileMetadata(com.sas.services.information.browse.BrowseMetadataInterface item)

  Constructs an InformationServicesFileMetadata object that holds the information of the BrowseMetadataInterface item.

  Parameters:
    `item` - the BrowseMetadataInterface item used to extract information

### InformationServicesFileMetadata

    public InformationServicesFileMetadata(com.sas.services.publish.EntryInterface item)

  Constructs an InformationServicesfileMetadata object that holds the information for an EntryInterface item. This constructor assist with the ability to show entries within a package.

  Parameters:
    `item` - EntryInterface

### InformationServicesFileMetadata

    public InformationServicesFileMetadata(com.sas.services.information.RepositoryInterface reposItem)

  Constructs an InformationServicesFileMetadata object that holds the information of the RepositoryInterface item

  Parameters:
    `item` - the RepositoryInterface item used to extract information

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the item.

  Specified by:
    `getName` in interface `RemoteFileMetadataInterface`
  Returns:
    the name
  See Also:
    `#setName(String)`

### isFolder

    public boolean isFolder()

  Returns whether the item is a folder.

  Specified by:
    `isFolder` in interface `RemoteFileMetadataInterface`
  Returns:
    returns true if a folder and false if not a folder
  See Also:
    `#setDrillable(boolean)`

### getLocation

    public java.lang.String getLocation()

  The path associated with the item.

  Specified by:
    `getLocation` in interface `RemoteFileMetadataInterface`
  Returns:
    the SBIP URL path
  See Also:
    `#setPath(String)`

### setLocation

    protected void setLocation(java.lang.String path)

  Allows setting of the path information for the item.

  Parameters:
    `the` - path in SBIP URL form

### getOwner

    public java.lang.String getOwner()

  Returns the author of the information service file.

  Returns:
    the author

### getModifiedDate

    public java.util.Date getModifiedDate()

  Returns the datetime the file was last modified.

  Returns:
    the modified time

### getCreatedDate

    public java.util.Date getCreatedDate()

  Returns the datetime the file was last modified.

  Returns:
    the modified time

### getKeywords

    public java.util.List getKeywords()

  Returns a List of strings showing the information service file keywords.

  Returns:
    the list of keywords

### getDescription

    public java.lang.String getDescription()

  Returns the description of the the information service file or folder.

  Returns:
    the description

### getISEntityKey

    public java.lang.String getISEntityKey()

  Returns the InformationService entity key associated with the item.

  Returns:
    the entity key

### getSmartType

    public java.lang.String getSmartType()

  Returns the InformationService entity key associated with the item.

  Returns:
    the entity key

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.